#
#   Python script to create QFP footprints
#
#   (c)2012 Brian Sidebotham - www.valvers.com
#

import kicad as KiCad
import ic

l = KiCad.ModuleLibrary()

l.addModule( ic.qfp( 32, ( 7.0, 7.0), 0.8 ) )
l.addModule( ic.qfp( 32, ( 5.0, 5.0), 0.5 ) )
l.addModule( ic.qfp( 44, (10.0,10.0), 0.8 ) )
l.addModule( ic.qfp( 48, ( 7.0, 7.0), 0.5 ) )
l.addModule( ic.qfp( 48, (12.1,12.1), 0.8 ) )
l.addModule( ic.qfp( 52, (10.0,10.0), 0.65) )
l.addModule( ic.qfp( (19, 13), (20.0,14.0), 1 ) )
l.addModule( ic.qfp( 64, (14.0,14.0), 0.8 ) )
l.addModule( ic.qfp( 64, (10.0,10.0), 0.5 ) )
l.addModule( ic.qfp( 64, ( 7.0, 7.0), 0.4 ) )
l.addModule( ic.qfp( (24, 16), (20.0,14.0), 0.8 ) )
l.addModule( ic.qfp( 80, (14.0,14.0), 0.65 ) )
l.addModule( ic.qfp( 80, (12.0,12.0), 0.5 ) )
l.addModule( ic.qfp( 80, (10.0,10.0), 0.4 ) )
l.addModule( ic.qfp( (30, 20), (20.0,14.0), 0.65 ) )
l.addModule( ic.qfp( 100, (14.0,14.0), 0.5 ) )
l.addModule( ic.qfp( 100, (12.0,12.0), 0.4 ) )
l.addModule( ic.qfp( 120, (28.0,28.0), 0.8 ) )
l.addModule( ic.qfp( 120, (14.0,14.0), 0.4 ) )
l.addModule( ic.qfp( 128, (28.0,28.0), 0.8 ) )
l.addModule( ic.qfp( (38, 26), (20.0,14.0), 0.5 ) )
l.addModule( ic.qfp( 128, (14.0,14.0), 0.4 ) )
l.addModule( ic.qfp( 144, (28.0,28.0), 0.65 ) )
l.addModule( ic.qfp( 144, (20.0,20.0), 0.5 ) )
l.addModule( ic.qfp( 160, (28.0,28.0), 0.65 ) )
l.addModule( ic.qfp( 176, (24.0,24.0), 0.5 ) )
l.addModule( ic.qfp( 176, (20.0,20.0), 0.4 ) )
l.addModule( ic.qfp( 184, (20.0,20.0), 0.4 ) )

print l.format()
