#
#   Python script to create SOIC footprints
#
#   (c)2012 Brian Sidebotham - www.valvers.com
#

import kicad as KiCad
import ic

l = KiCad.ModuleLibrary()

l.addModule( ic.soic(  8,  (3.91, 4.90), 1.27 ))
l.addModule( ic.soic( 14,  (3.91, 8.65), 1.27 ))
l.addModule( ic.soic( 16,  (3.91, 9.90), 1.27 ))
l.addModule( ic.soic( 16,  (7.50, 10.30), 1.27 ))
l.addModule( ic.soic( 18,  (7.50, 11.5), 1.27 ))
l.addModule( ic.soic( 20,  (7.50, 12.8), 1.27 ))
l.addModule( ic.soic( 24,  (7.50, 15.4), 1.27 ))
l.addModule( ic.soic( 28,  (7.50, 17.9), 1.27 ))

# This following package needs to have pin suppression (it's essentially an
# 8-pin ) device in a 28-pin package
#l.addModule( ic.soic(  8,  (7.50, 17.9), 1.27 ))

print l.format()

